Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1356985

Summary: Support for PHP7
Product: [Fedora] Fedora Reporter: Jaroslav ┼ákarvada <jskarvad>
Component: swigAssignee: Jitka Plesnikova <jplesnik>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 25CC: besser82, jplesnik, sergio
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: swig-3.0.11-1.fc26 swig-3.0.11-1.fc25 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-01-14 03:50:31 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1350620    

Description Jaroslav Škarvada 2016-07-15 12:22:23 UTC
Description of problem:
Swig doesn't seem to support php7 which is causing several build failures. E.g. graphviz. I had to disable the php bindings till resolved.

Version-Release number of selected component (if applicable):
swig-3.0.10-1.fc25

How reproducible:
Always

Steps to Reproduce:
1. try to rebuild graphviz with enabled php

Actual results:
Fails on various zend* syntax errors.

Expected results:
No errors.

Additional info:
Swig upstream is aware of the problem:
https://github.com/swig/swig/issues/571

Comment 1 Jaroslav Škarvada 2016-07-15 12:23:49 UTC
I opened this bug to track the problem downstream.

Comment 2 Jan Kurik 2016-07-26 04:26:31 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 3 Sergio Monteiro Basto 2016-11-29 23:49:31 UTC
Also mlt https://github.com/mltframework/mlt/issues/125

just add the note and add me in CC .

Comment 4 Jitka Plesnikova 2017-01-05 07:52:10 UTC
SWIG 3.0.11 added PHP 7 support.

To generate valid PHP 7 code use option -php7 instead of -php

In case of graphviz, just add following line after 'autoreconf' in spec file. I tested it and it works.

sed -i 's|-php5|-php7|g' configure

Comment 5 Fedora Update System 2017-01-05 07:53:48 UTC
swig-3.0.11-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4de02db3de

Comment 6 Fedora Update System 2017-01-05 23:50:35 UTC
swig-3.0.11-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4de02db3de

Comment 7 Fedora Update System 2017-01-14 03:50:31 UTC
swig-3.0.11-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.